V8Engine
Date: 2015-09-10

org.atinject.tck.auto

## Class V8Engine

- java.lang.Object
- - org.atinject.tck.auto.Engine
  - - org.atinject.tck.auto.GasEngine
    - - org.atinject.tck.auto.V8Engine

-     public class V8Engine
      extends GasEngine

- - ### Field Summary

    - ### Fields inherited from class org.atinject.tck.auto.Engine

      `overriddenPackagePrivateMethodInjectedTwice, overriddenTwiceWithOmissionInMiddleInjected, overriddenTwiceWithOmissionInSubclassInjected, publicNoArgsConstructorInjected, qualifiersInheritedFromOverriddenMethod, seatA, seatB, subPackagePrivateMethodForOverrideInjected, subPackagePrivateMethodInjected, superPackagePrivateMethodForOverrideInjected, superPackagePrivateMethodInjected, tireA, tireB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `V8Engine()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `injectQualifiers(Seat seatA, Seat seatB, Tire tireA, Tire tireB)` Qualifiers are swapped from how they appear in the superclass.
    `void` | `injectTwiceOverriddenWithOmissionInMiddle()`
    `void` | `injectTwiceOverriddenWithOmissionInSubclass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### V8Engine

          public V8Engine()

  - ### Method Detail

    - #### injectQualifiers

          public void injectQualifiers(Seat seatA,
                              Seat seatB,
                              Tire tireA,
                              @Named(value="spare")
                              Tire tireB)

      Qualifiers are swapped from how they appear in the superclass.
      Overrides:
        `injectQualifiers` in class `Engine`

    - #### injectTwiceOverriddenWithOmissionInMiddle

          @Inject
          public void injectTwiceOverriddenWithOmissionInMiddle()

      Overrides:
        `injectTwiceOverriddenWithOmissionInMiddle` in class `GasEngine`

    - #### injectTwiceOverriddenWithOmissionInSubclass

          public void injectTwiceOverriddenWithOmissionInSubclass()

      Overrides:
        `injectTwiceOverriddenWithOmissionInSubclass` in class `GasEngine`